Author: Soren Stoutner <soren@debian.org>
Description: Hard code the Hunspell .bdic binary dictionaries path.
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1092726
Forwarded: not-needed
Last-Update: 2025-01-20

--- a/src/core/web_engine_library_info.cpp
+++ b/src/core/web_engine_library_info.cpp
@@ -245,7 +245,7 @@ QString dictionariesPath(bool showWarnin
         initialized = true;
 
         bool includeOverrideMessage = false;
-        if (QString fromEnv = qEnvironmentVariable("QTWEBENGINE_DICTIONARIES_PATH");
+        if (QString fromEnv = qEnvironmentVariable("QTWEBENGINE_DICTIONARIES_PATH", QStringLiteral("/usr/share/hunspell-bdic/"));
             fromEnv.isEmpty()) {
             includeOverrideMessage = true;
             // First try to find dictionaries near the application.
